﻿<%@ Page Title="" Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="PagerTest.aspx.vb" Inherits="PagerTest" %>
<%@ MasterType VirtualPath="~/MasterPage.master" %>
<%@ Register Src="~/SearchPager.ascx" TagPrefix="eml" TagName="SearchPager"  %>

<asp:Content runat="server" ContentPlaceHolderID="CPHHead">
    <script type="text/javascript">

        function IndexChanged() {
            alert("index changed");

            var dropdownlist = document.getElementById("ctl00_CPHContent_WDGWells_ctl00_DDLPages");
            alert("DROPDOWN\n\n" + dropdownlist);

            var grid = document.getElementById("<%=WDGWells.ClientID%>");
            alert("GRID\n\n" + grid);

            var newValue = dropdownlist.selectedIndex;
            alert("NEW VALUE\n\n" + newValue);

            grid.get_behaviors().get_paging().set_pageIndex(newValue);
            alert("finished");
        }

        function PreviousPage() {
            alert("previous button clicked");

            var grid = document.getElementById("<%=WDGWells.ClientID%>");
            alert("GRID\n\n" + grid);

            var dropdownlist = document.getElementById("ctl00_CPHContent_WDGWells_ctl00_DDLPages");
            alert("DROPDOWN\n\n" + dropdownlist);

            if (grid.get_behaviors().get_paging().get_pageIndex() > 0) {

                grid.get_behaviors().get_paging().set_pageIndex(grid.get_behaviors().get_paging().get_pageIndex() - 1);

            }

            alert("finished");
        }

        function NextPage() {
            alert("next button clicked");

            var grid = document.getElementById("<%=WDGWells.ClientID%>");
            alert("GRID\n\n" + grid);

            var dropdownlist = document.getElementById("ctl00_CPHContent_WDGWells_ctl00_DDLPages");
            alert("DROPDOWN\n\n" + dropdownlist);

            if (grid.get_behaviors().get_paging().get_pageIndex() < grid.get_behaviors().get_paging().get_pageCount() - 1) {

                grid.get_behaviors().get_paging().set_pageIndex(grid.get_behaviors().get_paging().get_pageIndex() + 1);

            }

            alert("finished");
        }

        function WDGWells_PageIndexChanged() {
            alert("grid page changed");

            var grid = document.getElementById("<%=WDGWells.ClientID%>");
            alert("GRID\n\n" + grid);

            var dropdownlist = document.getElementById("ctl00_CPHContent_WDGWells_ctl00_DDLPages");
            alert("DROPDOWN\n\n" + dropdownlist);

            dropdownlist.options[grid.get_behaviors().get_paging().get_pageIndex()].selected = true;

            alert("finished");
        }

        function FirstPage() {
            var dropdownlist = document.getElementById("ctl00_CPHContent_WDGWells_ctl00_DDLPages");
            var grid = document.getElementById("CPHContent_WDGWells");

                grid.get_behaviors().get_paging().set_pageIndex(0);
        }

    </script>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="CPHContent">

    <br />
    <br />
    <%--<asp:SqlDataSource ID="SDSWells" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>" />--%>
    <ig:WebDataGrid ID="WDGWells" runat="server" Height="550px" Width="99.8%" AutoGenerateColumns="False">
                <Columns>
                    <ig:BoundDataField DataFieldName="ID" Key="ID" Hidden="true">
                        <Header Text="ID" />
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="LogKey" Key="LogKey" Width="35px" Header-Tooltip="Click to Sort by PDL #">
                        <Header Text="PDL #" />
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Name" Key="Name" Width="165px" Header-Tooltip="Click to Sort by Well Name">
                        <Header Text="Well Name" />
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Filtering></ig:Filtering>
                    <ig:Sorting></ig:Sorting>
                    <ig:Paging  PageSize="15" PagerAppearance="Bottom">
                        <PagerTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <button runat="server" id="BTNFirst" value="first" onclick="return FirstPage()" />
                                        <%--<asp:Button runat="server" ID="BTNFirst" Text="First" OnClientClick="FirstPage" />--%>
                                        <%--<asp:ImageButton ID="BTNFirst" runat="server" CommandArgument="First" CommandName="Page" CssClass="CustPageLabelClass" ImageUrl="~/icons/first_24.png" align="absmiddle" OnClientClick="FirstPage" />--%>
                                    </td>
                                    <td>
                                        <button runat="server" id="BTNPrev" value="Prev" onclick="return PreviousPage()" />
                                        <%--<asp:Button runat="server" ID="BTNPrev" Text="Previous" OnClientClick="PreviousPage" />--%>
                                        <%--<asp:ImageButton ID="BTNPrev" runat="server" CommandArgument="Prev" CommandName="Page" CssClass="CustPageLabelClass" ImageUrl="~/icons/prev_24.png" align="absmiddle" OnClientClick="PreviousPage" />--%>
                                    </td>
                                    <td>
                                        <asp:DropDownList ID="DDLPages" runat="server" onchange=" return IndexChanged()" />
                                    </td>
                                    <td>
                                        <button runat="server" id="BTNNext" value="Next" onclick="return NextPage()" />
                                        <%--<asp:Button runat="server" ID="BTNNext" Text="Next" OnClientClick="NextPage" />--%>
                                        <%--<asp:ImageButton ID="BTNNext" runat="server" CssClass="CustPageLabelClass" CommandArgument="Next" CommandName="Page" ImageUrl="~/icons/nextpager_24.png" align="absmiddle" OnClientClick="NextPage" />--%>
                                    </td>
                                    <td>
                                        <button runat="server" id="BTNLast" value="Last" onclick="return LastPage()" />
                                        <%--<asp:Button runat="server" ID="BTNLast" Text="Last" OnClientClick="LastPage" />--%>
                                        <%--<asp:ImageButton ID="BTNLast" runat="server" CssClass="CustPageLabelClass" CommandArgument="Last" CommandName="Page" ImageUrl="~/icons/last_24.png" align="absmiddle" OnClientClick="LastPage" />--%>
                                    </td>
                                </tr>
                            </table>
                        </PagerTemplate>
                        <PagingClientEvents PageIndexChanged="WDGWells_PageIndexChanged" />
                    </ig:Paging>
                </Behaviors>
            </ig:WebDataGrid>

</asp:Content>