﻿Imports System.Data
Imports System.Data.SqlClient

Partial Class PagerTest
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load

        If Session("GridData") Is Nothing Then
            Session("GridData") = GetEmployees()
            WDGWells.DataSource = Session("GridData")
            WDGWells.DataBind()
        Else
            WDGWells.DataSource = Session("GridData")
        End If

        ' load the "Pages" dropdown on initial page load
        If Not Page.IsPostBack Then
            Dim dropdown As DropDownList = DirectCast(WDGWells.Behaviors.Paging.PagerTemplateContainerBottom.FindControl("DDLPages"), DropDownList)

            For i As Integer = 1 To 12
                dropdown.Items.Add(New ListItem(i, i))
            Next
        End If

    End Sub

    Function GetEmployees() As DataTable
        Dim wells As New DataTable("Wells")
        wells.Columns.Add("ID", GetType(Integer))
        wells.Columns.Add("LogKey", GetType(String))
        wells.Columns.Add("Name", GetType(String))

        Using DBConn As New SqlConnection(ConfigurationManager.ConnectionStrings("ConnectionString").ConnectionString)
            Using DBCMD As New SqlCommand("SELECT ID, LogKey, Name FROM Wells", DBConn)
                DBConn.Open()
                Using DR As SqlDataReader = DBCMD.ExecuteReader()
                    While DR.Read()
                        wells.Rows.Add(DR.Item("ID"), DR.Item("LogKey"), DR.Item("Name"))
                    End While
                End Using
            End Using
        End Using

        Return wells
    End Function
End Class
